Bug 143061 - [maintainer-update] security/tuntun Upgrade to 0.4.0
Summary: [maintainer-update] security/tuntun Upgrade to 0.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-21 18:00 UTC by Anderson S. Ferreira
Modified: 2010-01-25 08:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anderson S. Ferreira 2010-01-21 18:00:23 UTC
Upgrade to Tuntun 0.4.0

Fix: 

---
Aviso de confidencialidade:

Esta mensagem da Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
empresa pública federal regida pelo disposto na Lei Federal nº 5.851, 
de 7 de dezembro de 1972, é enviada exclusivamente a seu destinatário 
e pode conter informações confidenciais, protegidas por sigilo profissional. 
Sua utilização desautorizada é ilegal e sujeita o infrator às penas da lei. 
Se você a recebeu indevidamente, queira, por gentileza, reenviá-la ao emitente, 
esclarecendo o equívoco.

Confidentiality note:

This message from Empresa Brasileira de Pesquisa Agropecuária (Embrapa), 
a government company established under Brazilian law (5.851/72), 
is directed exclusively to its addressee and may contain confidential data, 
protected under professional secrecy rules. Its unauthorized use is illegal 
and may subject the transgressor to the law's penalties. 
If you are not the addressee, please send it back, elucidating the failure.--q7cbhseCYE21wNruRO49Hj9lRaPNzrWtZ1Fdw9GJVZSom5vA
Content-Type: text/plain; name="tuntun.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="tuntun.patch"

diff -Nru tuntun.old/Makefile tuntun/Makefile
--- tuntun.old/Makefile	2009-11-28 18:05:58.000000000 -0200
+++ tuntun/Makefile	2010-01-21 15:39:56.000000000 -0200
@@ -6,16 +6,13 @@
 #
 
 PORTNAME=	tuntun
-PORTVERSION=	0.3.1
-PORTREVISION=	1
+PORTVERSION=	0.4.0
 CATEGORIES=	security gnome
 MASTER_SITES=	http://tuntun.googlecode.com/files/
 
 MAINTAINER=	anderson@cnpm.embrapa.br
 COMMENT=	A Gnome applet gui for OpenVPN
 
-BROKEN=		Conflict between shipped code and glib.
-
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	CPPFLAGS="`pkg-config --cflags libgnomeui-2.0`" \
 		LIBS="`pkg-config --libs libgnomeui-2.0`"
diff -Nru tuntun.old/distinfo tuntun/distinfo
--- tuntun.old/distinfo	2009-09-28 08:30:52.000000000 -0300
+++ tuntun/distinfo	2010-01-21 15:40:01.000000000 -0200
@@ -1,3 +1,3 @@
-MD5 (tuntun-0.3.1.tar.gz) = 0bd7807e466cb2ea133a9478d4d15e61
-SHA256 (tuntun-0.3.1.tar.gz) = 4d4abca12fbf430402ef0189cfaf1a2d6551cf3faa570b81d18500503c004819
-SIZE (tuntun-0.3.1.tar.gz) = 558837
+MD5 (tuntun-0.4.0.tar.gz) = 8a6ee39d0d63d89914f9b4f49e62ef8c
+SHA256 (tuntun-0.4.0.tar.gz) = 9cfd51908530ed8ae9059511935fd3777b7515bb0a504affeddfe8bd713f6a0c
+SIZE (tuntun-0.4.0.tar.gz) = 438866
diff -Nru tuntun.old/files/patch-gnio tuntun/files/patch-gnio
--- tuntun.old/files/patch-gnio	2008-10-16 18:43:35.000000000 -0300
+++ tuntun/files/patch-gnio	1969-12-31 21:00:00.000000000 -0300
@@ -1,46 +0,0 @@
---- gnio.build.patch.orig	2008-09-16 08:20:43.000000000 -0300
-+++ gnio.build.patch	2008-09-16 11:08:44.000000000 -0300
-@@ -31,3 +31,43 @@
-  	bld.install_files('PREFIX', 'include/gnio', 'gnio/gi*.h')
-  	bld.install_files('PREFIX', 'include/gnio', 'gnio/gn*.h')
-  	bld.install_files('PREFIX', 'include/gnio', 'gnio/gr*.h')
-+--- gnio/gnio/ginet4address.c.orig	2008-06-16 09:00:35.000000000 -0300
-++++ gnio/gnio/ginet4address.c	2008-09-16 09:39:55.000000000 -0300
-+@@ -23,6 +23,7 @@
-+ 
-+ #include <config.h>
-+ #include <glib.h>
-++#include <sys/types.h>
-+ 
-+ #ifndef G_OS_WIN32
-+ # include <netinet/in.h>
-+--- gnio/gnio/ginet6address.c.orig	2008-06-16 09:00:35.000000000 -0300
-++++ gnio/gnio/ginet6address.c	2008-09-16 09:39:55.000000000 -0300
-+@@ -27,6 +27,7 @@
-+ 
-+ #include <netinet/in.h>
-+ #include <arpa/inet.h>
-++#include <sys/socket.h>
-+ 
-+ #include "ginet6address.h"
-+ 
-+--- gnio/gnio/gresolver.c.orig	2008-07-09 18:15:16.000000000 -0300
-++++ gnio/gnio/gresolver.c	2008-09-16 09:39:55.000000000 -0300
-+@@ -24,6 +24,7 @@
-+ #include <config.h>
-+ #include <glib.h>
-+ #include <gio/gio.h>
-++#include <sys/socket.h>
-+ 
-+ #include <string.h>
-+ #ifndef G_OS_WIN32
-+--- gnio/gnio/gsocket.c.orig	2008-07-09 18:15:16.000000000 -0300
-++++ gnio/gnio/gsocket.c	2008-09-16 09:39:55.000000000 -0300
-+@@ -27,6 +27,7 @@
-+ #include <gnio/gnio.h>
-+ #include "gasynchelper.h"
-+ #include "gnioenums.h"
-++#include <sys/socket.h>
-+ 
-+ #include <string.h>
-+ #ifndef G_OS_WIN32
diff -Nru tuntun.old/pkg-plist tuntun/pkg-plist
--- tuntun.old/pkg-plist	2009-09-28 08:30:52.000000000 -0300
+++ tuntun/pkg-plist	2010-01-21 15:44:47.000000000 -0200
@@ -13,6 +13,8 @@
 share/tuntun/pixmaps/disconnect.png
 share/tuntun/pixmaps/not_connected.png
 share/tuntun/pixmaps/unknown.png
+share/tuntun/pixmaps/tuntun_error.png
+share/tuntun/pixmaps/tuntun_warning.png
 share/doc/tuntun/AUTHORS
 share/doc/tuntun/COPYING
 share/doc/tuntun/ChangeLog
Comment 1 Martin Wilke freebsd_committer 2010-01-21 20:33:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2010-01-25 08:51:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!